#!/bin/sh

set -e

if [ ! -e /etc/arkime/parliament.ini ]; then
    cp /etc/arkime/parliament.ini.sample /etc/arkime/parliament.ini
fi

if ! systemctl is-active --quiet arkimeparliament; then
    systemctl enable arkimeparliament.service
    systemctl start arkimeparliament.service
fi

echo "Config can be changed: /etc/arkime/parliament.env and /etc/arkime/parliament.ini"
echo "Examples of config are /etc/arkime/parliament.env.example and /etc/arkime/parliament.ini.sample"
echo "Then you will need to restart the service arkimeparliament."

sleep 3s

echo "Opening Web UI http://localhost:8008"
xdg-open "http://localhost:8008" 2>/dev/null >/dev/null &

